Use bazel to run interop server

Removed commented tests
pull/19855/head
Tony Lu 5 years ago
parent d2ce6e707c
commit 4be53843d3
  1. 14
      src/objective-c/tests/run_one_test.sh
  2. 12
      src/objective-c/tests/run_one_test_bazel.sh
  3. 13
      src/objective-c/tests/run_tests.sh
  4. 26
      tools/run_tests/run_tests.py

@ -20,18 +20,12 @@ set -ev
cd $(dirname $0)
BINDIR=../../../bins/$CONFIG
BAZEL=../../../tools/bazel
[ -d Tests.xcworkspace/ ] || {
[ -d Tests.xcworkspace ] || {
./build_tests.sh
}
[ -f $BINDIR/interop_server ] || {
echo >&2 "Can't find the test server. Make sure run_tests.py is making" \
"interop_server before calling this script."
exit 1
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py."
exit 1
@ -40,8 +34,8 @@ BINDIR=../../../bins/$CONFIG
PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get)
$BINDIR/interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 &
$BINDIR/interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
BAZEL run -- //test/cpp/interop:interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -22,10 +22,10 @@ cd $(dirname $0)
BINDIR=../../../bins/$CONFIG
[ -f $BINDIR/interop_server ] || {
echo >&2 "Can't find the test server. Make sure run_tests.py is making" \
"interop_server before calling this script."
exit 1
BAZEL=../../../tools/bazel
[ -d Tests.xcworkspace ] || {
./build_tests.sh
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
@ -36,8 +36,8 @@ BINDIR=../../../bins/$CONFIG
PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get)
$BINDIR/interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 &
$BINDIR/interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
BAZEL run -- //test/cpp/interop:interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -22,15 +22,14 @@ cd $(dirname $0)
# Run the tests server.
BINDIR=../../../bins/$CONFIG
BAZEL=../../../tools/bazel
[ -f $BINDIR/interop_server ] || {
echo >&2 "Can't find the test server. Make sure run_tests.py is making" \
"interop_server before calling this script."
exit 1
[ -d Tests.xcworkspace ] || {
./build_tests.sh
}
$BINDIR/interop_server --port=5050 --max_send_message_size=8388608 &
$BINDIR/interop_server --port=5051 --max_send_message_size=8388608 --use_tls &
BAZEL run -- //test/cpp/interop:interop_server --port=5050 --max_send_message_size=8388608 &
BAZEL run -- //test/cpp/interop:interop_server --port=5051 --max_send_message_size=8388608 --use_tls &
# Kill them when this script exits.
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT

@ -1101,17 +1101,6 @@ class ObjCLanguage(object):
'EXAMPLE_PATH': 'src/objective-c/examples/tvOS-sample',
'FRAMEWORKS': 'NO'
}))
# out.append(
# self.config.job_spec(
# ['src/objective-c/tests/build_one_example.sh'],
# timeout_seconds=10 * 60,
# shortname='ios-buildtest-example-tvOS-sample-framework',
# cpu_cost=1e6,
# environ={
# 'SCHEME': 'tvOS-sample',
# 'EXAMPLE_PATH': 'src/objective-c/examples/tvOS-sample',
# 'FRAMEWORKS': 'YES'
# }))
out.append(
self.config.job_spec(
['src/objective-c/tests/build_one_example_bazel.sh'],
@ -1123,17 +1112,6 @@ class ObjCLanguage(object):
'EXAMPLE_PATH': 'src/objective-c/examples/watchOS-sample',
'FRAMEWORKS': 'NO'
}))
# out.append(
# self.config.job_spec(
# ['src/objective-c/tests/build_one_example.sh'],
# timeout_seconds=20 * 60,
# shortname='ios-buildtest-example-watchOS-sample-framework',
# cpu_cost=1e6,
# environ={
# 'SCHEME': 'watchOS-sample-WatchKit-App',
# 'EXAMPLE_PATH': 'src/objective-c/examples/watchOS-sample',
# 'FRAMEWORKS': 'YES'
# }))
out.append(
self.config.job_spec(
['src/objective-c/tests/run_plugin_tests.sh'],
@ -1150,7 +1128,7 @@ class ObjCLanguage(object):
environ=_FORCE_ENVIRON_FOR_WRAPPERS))
out.append(
self.config.job_spec(
['src/objective-c/tests/run_one_test_bazel.sh'],
['src/objective-c/tests/run_one_test.sh'],
timeout_seconds=60 * 60,
shortname='ios-test-unittests',
cpu_cost=1e6,
@ -1209,7 +1187,7 @@ class ObjCLanguage(object):
return []
def make_targets(self):
return ['interop_server']
return []
def make_options(self):
return []

Loading…
Cancel
Save